{
  "name": "express_starter_api",
  "version": "1.0.0",
  "description": "api starter template for express API's going into production",
  "main": "index.js",
  "private": true,
  "repository": "https://gitlab.com/craig.white/express-typescript-starter-api",
  "author": "Craig White",
  "license": "MIT",
  "dependencies": {
    "body-parser": "^1.19.0",
    "convict": "^6.0.0",
    "express": "^4.17.1",
    "joi": "^17.3.0",
    "morgan": "^1.10.0",
    "pg": "^8.5.1",
    "reflect-metadata": "^0.1.13",
    "typeorm": "^0.2.30",
    "winston": "^3.3.3"
  },
  "devDependencies": {
    "@commitlint/cli": "^11.0.0",
    "@commitlint/config-conventional": "^11.0.0",
    "@types/convict": "^5.2.2",
    "@types/express": "^4.17.9",
    "@types/http-errors": "^1.8.0",
    "@types/joi": "^14.3.4",
    "@types/lodash": "^4.14.167",
    "@types/morgan": "^1.9.2",
    "@typescript-eslint/eslint-plugin": "^4.12.0",
    "@typescript-eslint/parser": "^4.12.0",
    "eslint": "^7.17.0",
    "eslint-config-prettier": "^7.1.0",
    "husky": "^4.3.7",
    "jest": "^26.6.3",
    "jest-junit": "^12.0.0",
    "nodemon": "^2.0.7",
    "prettier": "^2.2.1",
    "supertest": "^6.0.1",
    "ts-jest": "^26.4.4",
    "ts-loader": "^8.0.14",
    "ts-node": "^9.1.1",
    "typescript": "^4.1.3"
  },
  "scripts": {
    "start": "nodemon src/index.ts --LOG_LEVEL=verbose",
    "build": "tsc -b",
    "start:prod": "NODE_ENV=production node dist/index.js",
    "build:docker": "docker build --rm -f docker/Dockerfile -t org.and/express-ts-api-starter:latest .",
    "run:docker": "docker run --rm org.and/express-ts-api-starter:latest",
    "docker:compose:up": "docker-compose -f docker/docker-compose.yml up",
    "docker:compose:down": "docker-compose -f docker/docker-compose.yml down -v",
    "docker:compose:logs": "docker-compose -f docker/docker-compose.yml logs",
    "docker:rebuild": "docker build --rm -f docker/Dockerfile -t org.and/express-ts-api-starter:latest . && docker-compose -f docker/docker-compose.yml up -d",
    "test:watch": "jest --watch",
    "test": "jest",
    "lint": "eslint src"
  },
  "husky": {
    "hooks": {
      "commit-msg": "commitlint -E HUSKY_GIT_PARAMS",
      "pre-commit": "yarn test"
    }
  },
  "jest": {
    "collectCoverage": true,
    "collectCoverageFrom": [
      "**/*.{js,ts}",
      "!**/node_modules/**",
      "!**/reports/**",
      "!**/config/**",
      "!**/dist/**"
    ],
    "coverageDirectory": "../reports/coverage/unit",
    "moduleFileExtensions": [
      "js",
      "json",
      "ts"
    ],
    "reporters": [
      "default",
      [
        "jest-junit",
        {
          "outputDirectory": "./reports/junit/unit"
        }
      ]
    ],
    "rootDir": "src",
    "testEnvironment": "node",
    "testRegex": "\\.test.ts$",
    "transform": {
      "^.+\\.(t|j)s$": "ts-jest"
    }
  }
}
